Fetch an Embed Job

This API retrieves the details about an embed job started by the same user.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
The ID of the embed job to retrieve.

Headers

X-Client-NamestringOptional
The name of the project that is making the request.

Response headers

X-API-Warningstring
The name of the project that is making the request.

Response

OK
job_idstring
ID of the embed job
statusenum
The status of the embed job
Allowed values:
created_atstringformat: "date-time"
The creation date of the embed job
input_dataset_idstring
ID of the input dataset
modelstring
ID of the model used to embed
truncateenum
The truncation option used
Allowed values:
namestring
The name of the embed job
output_dataset_idstring
ID of the resulting output dataset
metaobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error
498
Invalid Token Error
499
Client Closed Request Error
500
Internal Server Error
501
Not Implemented Error
503
Service Unavailable Error
504
Gateway Timeout Error